HostingDatabase
Database of the hosting, with the account that owns it
database_idstringrequired
Id of the database: its name
namestringrequired
typestringrequired
Type of the database: MYSQL or MSSQL (Microsoft SQL Server)
credential_idinteger | nullnullablerequired
Id of the database account that owns the database, as in GET /api/v3/hostings/{hosting_id}/credentials
usernamestring | nullnullablerequired
Username of the database account
supplier_codestring | nullnullablerequired
Id of the database on Plesk, for the hostings managed with Plesk; null for the others
table_countinteger | nullnullablerequired
Number of tables in the database; null for the databases on Plesk
HostingDatabase
{
"database_id": "string",
"name": "string",
"type": "string",
"credential_id": 0,
"username": "string",
"supplier_code": "string",
"table_count": 0
}